Bug 92654 - EDITING: Function TIMEVALUE gives only '0' in ReportDesigner
Summary: EDITING: Function TIMEVALUE gives only '0' in ReportDesigner
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.1
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2015-07-09 15:24 UTC by Robert Großkopf
Modified: 2016-10-25 19:24 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Open report - timevalue is always 0 (8.48 KB, application/vnd.oasis.opendocument.database)
2015-07-09 15:24 UTC, Robert Großkopf
Details
bt with debug symbols (17.24 KB, text/plain)
2015-07-12 16:29 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2015-07-09 15:24:55 UTC
Created attachment 117158 [details]
Open report - timevalue is always 0

Open the attached file.
Open the report.
There is a field for date/time.
It will show the data and time of the table of the database.
DATEVALUE(...) gives a value for the date.
TIMEVALUE(...) will be 0.

It's the same behavior for the time-field. TIMEVALUE([Time]) is also 0.

Works right in Calc, works wrong with the same function in ReportBuilder.

My system: openSUSE 13.2, 64bit rpm Linux
Tested with: LO 4.4.4.3
Comment 1 Alex Thurgood 2015-07-12 10:58:07 UTC
Tested on

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale : fr_

OSX 10.10.4

DateTime
09/07/15 17:07
DATEVALUE 42194,000000
TIMEVALUE 0,000000
DATEVALUE+TIMEVALUE 42194,000000

Confirmed
Comment 2 Alex Thurgood 2015-07-12 10:59:36 UTC
Trying to open the report in LO 5.1alpha master build causes LO to crash immediately.
Comment 3 Alex Thurgood 2015-07-12 11:14:39 UTC
Tested all the way back to LO 3672, time values are always zero.

In NeoOffice 3.4.1 Patch 16, time value displays 2.000000
Comment 4 Alex Thurgood 2015-07-12 11:16:30 UTC
Apache OpenOffice 4.1.1 displays no value for time value either.
Comment 5 Alex Thurgood 2015-07-12 11:18:05 UTC
No time values displayed in OOo 321 either, am assuming that this is inherited from OOo.
Comment 6 Julien Nabet 2015-07-12 16:29:47 UTC
Created attachment 117190 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce the crash.
I attached bt.
Comment 7 Julien Nabet 2015-07-12 17:02:10 UTC
assert comes from http://cgit.freedesktop.org/libreoffice/core/commit/?id=e29a17ede22aee2fcc5e17f945c3e69d1927e7c1

Michael: with this patch, I don't have the crash and can open the report (with 0,000000):
diff --git a/xmloff/source/core/nmspmap.cxx b/xmloff/source/core/nmspmap.cxx
index b355f03..ff94b76 100644
--- a/xmloff/source/core/nmspmap.cxx
+++ b/xmloff/source/core/nmspmap.cxx
@@ -216,6 +216,7 @@ OUString SvXMLNamespaceMap::GetQNameByKey( sal_uInt16 nKey,
             return sQName.makeStringAndClear();
         }
         case XML_NAMESPACE_XML:
+        case XML_NAMESPACE_LO_EXT:
         {
             // this namespace is reserved, and needs not to be declared
             OUStringBuffer sQName;

is it the good way to fix the crash?
Comment 8 Commit Notification 2015-07-14 15:59:53 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c271621c8d2c1e50cfe8bf4866b9a42adf3c9d8

tdf#92654 a "Date" can contain a Time, so don't loose date by default

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-07-16 09:24:07 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c20406420966ae8cdc866a8d4fef2b949529a07&h=libreoffice-5-0

tdf#92654 a "Date" can contain a Time, so don't loose date by default

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.